package com.goafanti.common.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.goafanti.common.model.OrgTechProduct;

public interface OrgTechProductMapper {
	int deleteByPrimaryKey(String id);

	int insert(OrgTechProduct record);

	int insertSelective(OrgTechProduct record);

	OrgTechProduct selectByPrimaryKey(String id);

	int updateByPrimaryKeySelective(OrgTechProduct record);

	int updateByPrimaryKey(OrgTechProduct record);

	int batchDeleteByPrimaryKey(List<String> id);

	OrgTechProduct findBySerialNumberAndUid(@Param("serialNumber") String serialNumber, @Param("uid") String uid);
}